GET
Lightning - List Invoices
List Lightning Network invoices for the given wallet.
Path Params
-
walletIdstring requiredThe wallet ID.
Body Params
object
Create invoice request. Provide exactly one of
valueMsat or valueSat-
valueSatnumberThe invoice amount in satoshis -
valueMsatstringThe invoice amount in millisatoshis -
memostringOptional description for the invoice -
expirynumberOptional expiration time in seconds
Responses
200
OK
Response Body
array of objects
-
valueMsatstringAmount in millisatoshis -
valueSatnumberAmount in satoshis -
paymentHashstringPayment hash of the invoice -
invoicestringThe BOLT 11 encoded invoice string -
walletIdstringThe public BitGo walletId to which this invoice belongs to -
statusstring enumCurrent status of the invoiceopensettledcanceled -
expiresAtstring date-timeExpiration date in ISO format -
createdAtstring date-timeCreation date in ISO format -
updatedAtstring date-timeLast update date in ISO format -
amtPaidMsatstringAmount actually paid in millisatoshis (may be greater than valueMsat)
400
Bad Request
Response Body
ONE OF
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobject requiredcontext object
-
idstring
-
-
namestring enum requiredError codeInvalidWalletId